%define module	HTTP-Proxy
%define name	perl-%{module}
%define version 0.20
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A pure Perl HTTP proxy
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://http-proxy.mongueurs.net/
Source:		http://www.cpan.org/modules/by-module/HTTP/%{module}-%{version}.tar.bz2
BuildRequires:	perl(Module::Build)
BuildRequires:  perl(LWP::UserAgent)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The HTTP::Proxy module implements a HTTP proxy, using a HTTP::Daemon to
accept client connections, and a LWP::UserAgent to ask for the requested
pages.

The most interesting feature of this proxy object is its ability to
filter the HTTP requests and responses through user-defined filters.

%prep
%setup -q -n %{module}-%{version}
chmod 755 eg/*.pl

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README eg
%{perl_vendorlib}/HTTP/*
%{_mandir}/*/*



%changelog
* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.20-1mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 17:20:37 (59608)
- 0.20

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 17:18:41 (59607)
Import perl-HTTP-Proxy

* Fri Jun 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2007.0
- new version 
- rpmbuildupdate aware
- spec cleanup

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Sat Oct 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-1mdk
- 0.17

* Mon Sep 19 2005 Pascal Terjan <pterjan@mandriva.org> 0.16-2mdk
- BuildRequires perl-Module-Build

* Thu Sep 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Thu Apr 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- 0.15

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk
- BuildRequires

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.13-1mdk
- Initial MDK release.

